export function createOrderedLogging() {
    let currentIndex = 0;
    const forFutureLogging = new Map();
    function logInOrder() {
        const forLoggingNow = forFutureLogging.get(currentIndex);
        if (forLoggingNow) {
            forLoggingNow.consoleMethod.apply(console, forLoggingNow.args);
            currentIndex++;
            logInOrder();
        }
    }
    function setAndLogInOrder(index, consoleMethod, ...args) {
        forFutureLogging.set(index, {
            consoleMethod,
            args,
        });
        logInOrder();
    }
    return setAndLogInOrder;
}
