#!/usr/bin/env -S npx tsx
import { runCli } from './run-cli.js';
function errorHasMessage(error) {
    return 'message' in error && typeof error.message === 'string';
}
runCli({
    rawArgs: process.argv,
    cliFilePath: import.meta.filename,
    cwd: process.cwd(),
}).catch((error) => {
    if (errorHasMessage(error)) {
        console.error(error.message);
    }
    else {
        console.error(error);
    }
    process.exit(1);
});
