/**
 * Create a new string from the given markdown file with all code example links inserted.
 *
 * @category Internals
 */
export declare function generateAllExamples(markdownPath: string, packageDir: string, forceIndexPath: string | undefined): Promise<string>;
/**
 * Check if the given markdown file has all code examples updated.
 *
 * @category Main
 */
export declare function isCodeUpdated(markdownPath: string, packageDir: string, forceIndexPath: string | undefined): Promise<boolean>;
/**
 * Overwrite the given markdown file with all code examples updated.
 *
 * @category Main
 */
export declare function writeAllExamples(markdownPath: string, packageDir: string, forceIndexPath: string | undefined): Promise<void>;
